import sbt._
import Keys._

object BuildSettings {
  val buildOrganization = "org.example"
  val buildVersion = "0.0.0"

  val buildScalaVersion = "2.9.2"

  def apply(projectdir: String) = {
    Defaults.defaultSettings ++ Seq (
      organization := buildOrganization,
      version      := buildVersion,
      scalaVersion := buildScalaVersion,
      scalaSource in Compile := Path.absolute(file(projectdir + "/src")),

      libraryDependencies += "edu.berkeley.cs" %% "chisel" % "1.0.7"
    )
  }
}

object ChiselBuild extends Build {
  import BuildSettings._
  lazy val adder = Project("adder", file("adder"), settings = BuildSettings(".."))
}
